package com.neusoft.smart.pos.advertisement.persistent.mapper;

import com.neusoft.smart.pos.advertisement.persistent.domain.MediaStrategyGroup;
import com.neusoft.smart.pos.advertisement.persistent.domain.MediaStrategyGroupExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MediaStrategyGroupMapper {

	int countByExample(MediaStrategyGroupExample example);

	int deleteByExample(MediaStrategyGroupExample example);

	int deleteByPrimaryKey(Integer id);

	int insert(MediaStrategyGroup record);

	int insertSelective(MediaStrategyGroup record);

	List<MediaStrategyGroup> selectByExample(MediaStrategyGroupExample example);

	MediaStrategyGroup selectByPrimaryKey(Integer id);

	int updateByExampleSelective(@Param("record") MediaStrategyGroup record, @Param("example") MediaStrategyGroupExample example);

	int updateByExample(@Param("record") MediaStrategyGroup record, @Param("example") MediaStrategyGroupExample example);

	int updateByPrimaryKeySelective(MediaStrategyGroup record);

	int updateByPrimaryKey(MediaStrategyGroup record);
}